aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rw-r--r--tools/android/jack/BUILD23
-rw-r--r--tools/android/jack/empty0
-rwxr-xr-xtools/android/jack/fail.sh15
3 files changed, 38 insertions, 0 deletions
diff --git a/tools/android/jack/BUILD b/tools/android/jack/BUILD
new file mode 100644
index 0000000000..fd59375de0
--- /dev/null
+++ b/tools/android/jack/BUILD
@@ -0,0 +1,23 @@
+# Stub tools for the upcoming Jack support in Bazel.
+
+package(default_visibility = ["//visibility:public"])
+
+sh_binary(
+ name = "jack",
+ srcs = ["fail.sh"],
+)
+
+filegroup(
+ name = "android_jack",
+ srcs = ["empty"],
+)
+
+sh_binary(
+ name = "jill",
+ srcs = ["fail.sh"],
+)
+
+sh_binary(
+ name = "resource_extractor",
+ srcs = ["fail.sh"],
+)
diff --git a/tools/android/jack/empty b/tools/android/jack/empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/tools/android/jack/empty
diff --git a/tools/android/jack/fail.sh b/tools/android/jack/fail.sh
new file mode 100755
index 0000000000..59b453bcbe
--- /dev/null
+++ b/tools/android/jack/fail.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+# Copyright 2015 Google Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http:#www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+exit 1